[Pkg-ime-devel] Bug#668540: Bug#668540: Bug#668540: libchewing3: Chewing was broken with 'Assertion `plat_mmap_is_valid( &tree_mmap )`'

Aron Xu happyaron.xu at gmail.com
Tue Apr 17 05:54:22 UTC 2012

On Tue, Apr 17, 2012 at 12:16, Kan-Ru Chen <koster at debian.org> wrote:
> Hi,
> Aron Xu <happyaron.xu at gmail.com> writes:
>> Hi, this is caused by not updating the new ibus-chewing
>> 1.3.10+clean-3, where there are incompatible changes underway. Please
>> either be patient until new ibus-chewing migrate to testing, or grab
>> the package from unstable.
> Next time when there is such change that causes binary incompatible
> changes please set the proper Breaks version so they will not be
> installed by accident and coordinate with the reverse-dependent packages
> to do binary-only NMU.
> Cheers,
> --
> Kanru

Using Breaks here will cause force removal of user's ibus-chewing
because of unsatisfied dependency, and then libchewing3 itself will be
autoremoved, so please take the point.

Aron Xu

More information about the Pkg-ime-devel mailing list